/*
font families
font-family: 'Anton', sans-serif;
font-family: 'Libre Baskerville', serif;
font-family: 'Roboto', sans-serif;
*/

:root{
    --mgm-2025-logo-color-light: rgba(81, 149, 201, 0.5);
    --mgm-2025-logo-color-dark: rgba(19, 85, 135, 0.9);
    --mgm-2025-logo-text-color: #333;
    --dark-gray: #aaa;
}

*{

}

html{
    margin: 0;
    padding: 0;
}

body{
    margin: 0;
    padding: 0;
}

/* header settings*/
header{
    display: flex;
    margin: 0 auto;
    padding: 0.5em;
    width: 100%;
    height: 115px;
    justify-content: space-between;
    align-items: center;
    background-color: var(--dark-gray);
    position: fixed;
    top: 0;
    z-index: 10;
}

@media (max-width: 475px){
    header{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

/* My Logo Settings*/
.mgm-2025-logo i{
    font-size: 3rem;
    padding: 10px;
    color: var(--mgm-2025-logo-text-color);
    animation-name: icon-rotate;
    animation-duration: 8s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation: icon-rotate 8s ease infinite;
}

@keyframes icon-rotate{
    0% {
        transform-origin: 50% 50%;
        transform: rotate(0deg);
        opacity: 100;
    }
    50% {
        transform: rotate(360deg);
    }
    98%{
        transform: scale(1.5);
    }
    100% {
        opacity: 0;
    }
}

.mgm-2025-logo h2{
    font-family: 'Anton', sans-serif;
    text-align: center;
    font-size: 1rem;
    color: var(--mgm-2025-logo-text-color);
}

.mgm-2025-logo{
    display: flex;
    border: 2px solid var(--mgm-2025-logo-text-color);;
    width: 200px;
    align-items: center;
    justify-content: center;
    gap: 0.3em;
    border-radius: 5px;
    background: linear-gradient(
        45deg,
        var(--mgm-2025-logo-color-light),
        var(--mgm-2025-logo-color-dark)
    )
}

@media (max-width: 650px){
    .mgm-2025-logo i{
        font-size: 2rem;
    }
    .mgm-2025-logo h2{
        font-size: 0.8rem;
    }
    .mgm-2025-logo{
        width: 150px;
    }
}

/* End of My Logo Settings*/

/* navbar settings*/
#nav-list{
    display: flex;
    gap: 2em;
}

#nav-list li{
    list-style: none;
    padding: 5px;
    text-align: center;
}

#nav-list li:last-of-type{
    margin-right: 3em;
}

#nav-list li>a{
    text-decoration: none;
    color: var(--mgm-2025-logo-text-color);
    font-family: 'Anton', sans-serif;
    font-weight: bold;
    
}

#nav-list li:hover{
    background-color: var(--mgm-2025-logo-color-dark);
}

#nav-list li:active{
    background-color: var(--mgm-2025-logo-color-light);
}
/* end of navbar settings*/

/*Main Settings*/

main{
    margin-right: 5px;
    margin-left: 5px;
    margin-top: 135px;
    position: relative;
    border: 1px solid black;
}

#welcome-section{
    min-height: 100vh;
    background-color: rgba(25, 148, 200, 0.148);
    margin: 0;
    padding: 15px;
    text-align: center;
}

#projects{
    text-align: center;
    background-color: rgba(24, 232, 214, 0.266);
    padding: 15px;
}

#welcome-section img{
    max-width: 50%;
}

*[id*="project-tiles"]{
    display: flex;
    text-align: center; 
    gap: 5px;
    margin: 5px;
}

.project-tile{
    flex-basis: 50%;
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 5px;
    border: 1px solid black;
}

@media (max-width: 650px){
    *[id*="project-tiles"]{
        flex-direction: column;
    }
}

.project-tile img{
    max-width: 40vw;
}


/*End of Main Settings*/

/* footer settings*/

#social-and-contact{
    max-height: 200px;
    margin: 1px;
    display: flex;
    background: linear-gradient(
        45deg,
        var(--mgm-2025-logo-color-light),
        var(--mgm-2025-logo-color-dark)
    );
    justify-content: space-around;
    align-items: center;
    position: relative;
    bottom: 0;
}

#info{
    display: flex;
    flex-direction: column;
    max-height: 200px;
    max-width: 200px;
    justify-content: space-evenly;
    flex: auto;
    text-align: center;
}

#info *{
    margin: 0;
    padding: 0;
}

#info p, h5, #info a, #social-icons {
    text-align: center;
    color: var(--mgm-2025-logo-text-color);
    font-family: 'Anton', sans-serif;
}

#info h5{
    font-weight: bold;
    font-size: 1.5em;
}

#info a{
    font-size: 1.3em;
}

#info p{
    font-size: 0.9em;
}

#info #social-icons{
    text-decoration: none;
    color: var(--mgm-2025-logo-text-color);
    font-size: 1.2em;
}

@media (max-width: 650px){
    #info h5{
    font-weight: bold;
    font-size: 1em;
    }

    #info a{
        font-size: 0.8em;
    }

    #info p{
        font-size: 0.6em;
    }

    #info #social-icons{
        text-decoration: none;
        color: var(--mgm-2025-logo-text-color);
        font-size: 0.85em;
    }
}

#feedback-form{
    display: flex;
    max-height: 200px;
}

#feedback-form *{
    font-family: 'Roboto', sans-serif;
    margin: 2px;
}

select{
    width: 100%;
}

textarea{
    width: 100%;
}

#question2{
    margin-top: 10px;
}

/* end of footer settings*/